<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical" 
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"
    android:background="@drawable/fondo_principal">

    <EditText
        android:id="@+id/txtTextoBusqueda"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:inputType="text"
        android:hint="@string/txt_cadena_busqueda"
        android:textSize="20sp">

        <requestFocus />
    </EditText>

    <CheckBox
        android:id="@+id/cbxBuscarEnRemitente"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/cbx_buscar_en_remitente" />
    <CheckBox
        android:id="@+id/cbxBuscarEnAsunto"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/cbx_buscar_en_asunto" />
    <CheckBox
        android:id="@+id/cbxBuscarEnCuerpo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:checked="true"
        android:text="@string/cbx_buscar_en_cuerpo" />
    
     <CheckBox
        android:id="@+id/cbx_filtrar_por_fechas"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/txt_filtrar_por_fechas"
        android:layout_marginTop="20dp" 
        android:layout_marginBottom="5dp"/>
    
    <LinearLayout 
	    android:layout_width="match_parent"
	    android:layout_height="wrap_content"
	    android:orientation="horizontal">
	   <TextView
	       android:id="@+id/txt_fecha_desde"
	       android:layout_width="200dp"
	       android:layout_height="fill_parent"
	       android:hint="@string/txt_fecha_desde"
	       android:text="" 
	       android:layout_marginBottom="5dp"
	       android:gravity="center"
	       android:background="#FFFFCC"
	       android:textSize="24sp"/>
	   <ImageView
	       android:id="@+id/btnAbrirCalendarioDesde"
	       android:layout_width="wrap_content"
	       android:layout_height="wrap_content"
	       android:contentDescription="@string/btn_abrir_calendario"
	       android:src="@drawable/icono_calendario" />
    </LinearLayout>

        
    <LinearLayout 
	    android:layout_width="match_parent"
	    android:layout_height="wrap_content"
	    android:orientation="horizontal">
	       <TextView
	           android:id="@+id/txt_fecha_hasta"
		        android:layout_width="200dp"
		        android:layout_height="fill_parent"
		        android:hint="@string/txt_fecha_hasta"
		        android:text="" 
		        android:layout_marginBottom="5dp"
		        android:gravity="center"
		        android:background="#FFFFCC"
		        android:textSize="24sp"/>
		   <ImageView
		       android:id="@+id/btnAbrirCalendarioHasta"
		       android:layout_width="wrap_content"
		       android:layout_height="wrap_content"
		       android:contentDescription="@string/btn_lanzar_busqueda"
		       android:src="@drawable/icono_calendario" />
    </LinearLayout>
	       
     <ImageView
        android:id="@+id/btnBuscar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
		android:layout_marginTop="20dp"
        android:contentDescription="@string/btn_lanzar_busqueda"
        android:src="@drawable/icono_lanzar_busqueda" />

</LinearLayout>